﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using TerryLee.SilverlightDemo29.BlogService;

namespace TerryLee.SilverlightDemo29
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            BlogServiceSoapClient client = new BlogServiceSoapClient();
            client.GetPostsCompleted += new EventHandler<GetPostsCompletedEventArgs>(client_GetPostsCompleted);
            client.GetPostsAsync();
        }

        void client_GetPostsCompleted(object sender, GetPostsCompletedEventArgs e)
        {
            if (e.Error == null)
            {
                Posts.ItemsSource = e.Result;
            }
        }
    }
}
